/*
 * This class file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType.exception;

/**
 * Indicates a DeclarationElement was at the wrong place in the wrong time.
 * 
 * @version: $Date: 2007/09/09 19:40:25 $Author: kegel $Revision: 1.1 $
 * @author Philip Mayer
 */
public class BadDEException extends IntoJCalculationException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6643985472025723037L;

	/**
	 * Constructor for BadDEException.
	 * @param title String
	 * @param message String
	 */
	public BadDEException(String title, String message) {

		super(title, message);
	}

}
