/*
 * This class file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType.exception;

/**
 *
 * Indicates the user aborted the operation.
 * 
 * @version: $Date: 2007/09/09 19:40:25 $Author: kegel $Revision: 1.1 $
 * @author Philip Mayer
 *  
 */
public class UserAbortedException extends IntoJCalculationException {

	private static final long serialVersionUID = 8758359173347553085L;

	/**
	 * Constructor for UserAbortedException.
	 * @param title String
	 * @param message String
	 */
	public UserAbortedException(String title, String message) {

		super(title, message);
	}
}